#ifndef HARKTOOL4_USAGEPRINTER_HPP
#define HARKTOOL4_USAGEPRINTER_HPP

#include <boost/program_options.hpp>

namespace harktool4
{

class UsagePrinter
{
    const char* app_name_;
    const boost::program_options::options_description& options_;
public:
    UsagePrinter(const char* app_name, const boost::program_options::options_description& options)
        : app_name_(app_name), options_(options)
    {}

    template <typename T>
    void Print(T& out)
    {
        out << "Usage: " << app_name_ << " [options] input-files" << std::endl;
        out << options_ << std::endl;
    }
};

}

#endif // HARKTOOL4_USAGEPRINTER_HPP

